/**
 * RoleClassOntological.java
 *
 * File generated from the medication::RoleClassOntological uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassOntological.
 *
 * 
 */

@XmlType(name = "RoleClassOntological")
@XmlEnum
@XmlRootElement(name = "RoleClassOntological")
public enum RoleClassOntological {
	@XmlEnumValue("INST")
	INST("INST"),
	@XmlEnumValue("SUBS")
	SUBS("SUBS"),
	@XmlEnumValue("SUBY")
	SUBY("SUBY"),
	@XmlEnumValue("GEN")
	GEN("GEN"),
	@XmlEnumValue("GRIC")
	GRIC("GRIC");
	
	private final String value;

    RoleClassOntological(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassOntological fromValue(String v) {
        for (RoleClassOntological c: RoleClassOntological.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}